description: "Gothic - Vanilla with patches and Union mod"
game_slug: gothic
gogslug: gothic
gogid: "1207658682"
slug: gothic-gog
version: GOG
year: 2001
installer_slug: gothic-gog
name: Gothic
notes:
    "Hassle free installer of Gothic GOG version. Click \"Continue\" button in\
    \ any pop-up during the installation. Please be patient, some steps take time to\
    \ execute."
runner: wine
script:
    files:
        - setup: N/A:Select the GOG game setup file
        - primary_patch:
              filename: Union_Primary_Universal.exe
              url: https://cloud.bfloeser.de/public.php/dav/files/siWrzBPkwYqPKQF
        - union:
              filename: Union_1.0m_26.06.2022.exe
              url: https://www.worldofgothic.de/download.php?id=1625
        - g1cp: https://github.com/AmProsius/gothic-1-community-patch/releases/download/v1.2.0/G1CP-1.2.0.exe
        - ninja: https://github.com/szapp/Ninja/releases/download/v3.1.16/Ninja-3.1.16.exe
    game:
        arch: win32
        exe: $gamesystempath/GothicMod.exe
        prefix: $GAMEDIR
    installer:
        - task:
              arch: win32
              description: Creating 32-bit Wine prefix
              install_gecko: false
              install_mono: false
              name: create_prefix
              prefix: $GAMEDIR
        - task:
              app: win7
              arch: win32
              description: "winetricks: win7"
              name: winetricks
              prefix: $GAMEDIR
        - task:
              arch: win32
              args: /SP- /SUPRESSMSGBOXES /LOG /SILENT
              description: Installing Gothic
              executable: setup
              name: wineexec
              prefix: $GAMEDIR
        - task:
              app: dotnet40 vcrun2010
              arch: win32
              description: Install Union patch dependencies. It takes some time. Be patient
              name: winetricks
              prefix: $GAMEDIR
        - execute:
              command: mkdir -p $UNIONPATH
        - execute:
              command: printf "\r\nC:\GOG Games\Gothic\\\\\\r\n" > $UNIONPATH/history_d.cs
        - execute:
              command: echo "ENG" > $UNIONPATH/Language.cs
        - task:
              arch: win32
              args: /S /D"C:\GOG Games\Gothic"
              description: Installing Primary Universal patch
              executable: primary_patch
              name: wineexec
              prefix: $GAMEDIR
              working_dir: $GAMEDIR
        - task:
              arch: win32
              args: /S /D"C:\GOG Games\Gothic"
              description: Installing Union patch
              executable: union
              name: wineexec
              prefix: $GAMEDIR
              working_dir: $GAMEDIR
        - task:
              arch: win32
              description: Installing Ninja mod
              executable: ninja
              args: /S /D=C:\\GOG Games\\Gothic
              name: wineexec
              prefix: $GAMEDIR
              working_dir: $GAMEDIR
        - task:
              arch: win32
              args: /S /D=C:\\GOG Games\\Gothic
              description: Installing GCP mod
              executable: g1cp
              name: wineexec
              prefix: $GAMEDIR
              working_dir: $GAMEDIR
        - task:
              app: directmusic
              arch: win32
              description: Background music fix
              env:
                  WINETRICKS_DOWNLOADER: curl
              name: winetricks
              prefix: $GAMEDIR
        - write_config:
              data:
                  GAME:
                      bloodDetail: 3
                      playLogoVideos: 0
                      scaleVideos: 1
                      subTitles: 1
                  PERFORMANCE:
                      modelDetail: 1
                      sightValue: 14
              description: Updating 'gothic.ini' file
              file: $GAMEDIR/drive_c/GOG Games/Gothic/system/GOTHIC.INI
    system:
        env:
            UNIONPATH: $GAMEDIR/drive_c/ProgramData/Union/System/
    variables:
        gamedatapath: drive_c/GOG Games/Gothic/Data
        gamepath: drive_c/GOG Games/Gothic
        gamesystempath: drive_c/GOG Games/Gothic/system
    wine:
        overrides:
            ddraw: n,b
            dsound: b,n
            msvcr100: n,b
